Home | All Classes | Grouped Classes | Index | Search

# CL_Rect::CL_Rect

Constructs an rectangle.

    	CL_Rect();

    	CL_Rect(
    		const CL_Rectf& rect);

    	CL_Rect(
    		int new_left, int new_top, int new_right, int new_bottom);

    	CL_Rect(
    		const CL_Point& p, const CL_Size& size);

    	CL_Rect(
    		const CL_Rect& rect);

Parameters:

left
  Initial left position of rectangle.
top
  Initial top position of rectangle.
right
  Initial right position of rectangle.
bottom
  Initial bottom position of rectangle.
point
  Initial top-left position of rectangle.
size
  Initial size of rectangle.
rect
  Initial rectangle position and size.

See also:

CL_Point | CL_Rect | CL_Rectf | CL_Size

Questions or comments, write to the ClanLib mailing list.